org.apache.tinkerpop.gremlin.process.traversal.dsl.graph

## Interface GraphTraversal.Admin<S,E>

- All Superinterfaces:
    AutoCloseable, Cloneable, GraphTraversal<S,E>, Iterator<E>, Serializable, Traversal<S,E>, Traversal.Admin<S,E>
  All Known Subinterfaces:
    CredentialTraversalDsl<S,E>
  All Known Implementing Classes:
    DefaultGraphTraversal
  Enclosing interface:
    GraphTraversal<S,E>

      public static interface GraphTraversal.Admin<S,E>
      extends Traversal.Admin<S,E>, GraphTraversal<S,E>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversal

      `GraphTraversal.Admin<S,E>, GraphTraversal.Symbols`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `Traversal.Exceptions`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default <E2> GraphTraversal.Admin<S,E2>` | `addStep(Step<?,E2> step)` Add a `Step` to the end of the traversal.
    `GraphTraversal.Admin<S,E>` | `clone()` Cloning is used to duplicate the traversal typically in OLAP environments.
    `default GraphTraversal<S,E>` | `iterate()` Iterate all the `Traverser` instances in the traversal.

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal.Admin

      `addStart, addStarts, addStep, applyStrategies, equals, getBytecode, getEndStep, getGraph, getParent, getSideEffects, getStartStep, getSteps, getStrategies, getTraversalSource, getTraverserGenerator, getTraverserRequirements, isLocked, nextTraverser, removeStep, removeStep, reset, setGraph, setParent, setSideEffects, setStrategies`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.dsl.graph.GraphTraversal

      `addE, addE, addV, addV, addV, aggregate, aggregate, and, as, asAdmin, barrier, barrier, barrier, both, bothE, bothV, branch, branch, by, by, by, by, by, by, by, by, by, by, cap, choose, choose, choose, choose, choose, choose, coalesce, coin, connectedComponent, constant, count, count, cyclicPath, dedup, dedup, drop, elementMap, emit, emit, emit, filter, filter, flatMap, flatMap, fold, fold, from, from, from, group, group, groupCount, groupCount, has, has, has, has, has, has, has, has, has, hasId, hasId, hasKey, hasKey, hasLabel, hasLabel, hasNot, hasValue, hasValue, id, identity, in, index, inE, inject, inV, is, is, key, label, limit, limit, local, loops, loops, map, map, match, math, max, max, mean, mean, min, min, not, option, option, optional, or, order, order, otherV, out, outE, outV, pageRank, pageRank, path, peerPressure, profile, profile, program, project, properties, property, property, propertyMap, range, range, read, repeat, repeat, sack, sack, sample, sample, select, select, select, select, select, select, select, shortestPath, sideEffect, sideEffect, simplePath, skip, skip, store, subgraph, sum, sum, tail, tail, tail, tail, timeLimit, times, to, to, to, to, toE, toV, tree, tree, unfold, union, until, until, V, value, valueMap, valueMap, values, where, where, where, with, with, write`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Traversal

      `close, explain, fill, forEachRemaining, forEachRemaining, next, none, promise, toBulkSet, toList, toSet, toStream, tryNext`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next, remove`

- - ### Method Detail

    - #### addStep

          default <E2> GraphTraversal.Admin<S,E2> addStep(Step<?,E2> step)

      Description copied from interface: `Traversal.Admin`
      Add a `Step` to the end of the traversal. This method should link the step to its next and previous step accordingly.
      Specified by:
        `addStep` in interface `Traversal.Admin<S,E>`
      Type Parameters:
        `E2` - the output of the step
      Parameters:
        `step` - the step to add
      Returns:
        the updated traversal

    - #### iterate

          default GraphTraversal<S,E> iterate()

      Description copied from interface: `Traversal`
      Iterate all the `Traverser` instances in the traversal. What is returned is the empty traversal. It is assumed that what is desired from the computation is are the sideEffects yielded by the traversal.
      Specified by:
        `iterate` in interface `GraphTraversal<S,E>`
      Specified by:
        `iterate` in interface `Traversal<S,E>`
      Returns:
        the fully drained traversal

    - #### clone

          GraphTraversal.Admin<S,E> clone()

      Description copied from interface: `Traversal.Admin`
      Cloning is used to duplicate the traversal typically in OLAP environments.
      Specified by:
        `clone` in interface `Traversal.Admin<S,E>`
      Returns:
        The cloned traversal

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.